## r-cran-knitr 1.37+dfsg

=== DESCRIPTION ===
Package: knitr
Type: Package
Title: A General-Purpose Package for Dynamic Report Generation in R
Version: 1.37
Authors@R: c(
    person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
    person("Abhraneel", "Sarma", role = "ctb"),
    person("Adam", "Vogt", role = "ctb"),
    person("Alastair", "Andrew", role = "ctb"),
    person("Alex", "Zvoleff", role = "ctb"),
    person("Andre", "Simon", role = "ctb", comment = "the CSS files under inst/themes/ were derived from the Highlight package http://www.andre-simon.de"),
    person("Aron", "Atkins", role = "ctb"),
    person("Aaron", "Wolen", role = "ctb"),
    person("Ashley", "Manton", role = "ctb"),
    person("Atsushi", "Yasumoto", role = "ctb", comment = c(ORCID = "0000-0002-8335-495X")),
    person("Ben", "Baumer", role = "ctb"),
    person("Brian", "Diggs", role = "ctb"),
    person("Brian", "Zhang", role = "ctb"),
    person("Bulat", "Yapparov", role = "ctb"),
    person("Cassio", "Pereira", role = "ctb"),
    person("Christophe", "Dervieux", role = "ctb"),
    person("David", "Hall", role = "ctb"),
    person("David", "Hugh-Jones", role = "ctb"),
    person("David", "Robinson", role = "ctb"),
    person("Doug", "Hemken", role = "ctb"),
    person("Duncan", "Murdoch", role = "ctb"),
    person("Elio", "Campitelli", role = "ctb"),
    person("Ellis", "Hughes", role = "ctb"),
    person("Emily", "Riederer", role = "ctb"),
    person("Fabian", "Hirschmann", role = "ctb"),
    person("Fitch", "Simeon", role = "ctb"),
    person("Forest", "Fang", role = "ctb"),
    person(c("Frank", "E", "Harrell", "Jr"), role = "ctb", comment = "the Sweavel package at inst/misc/Sweavel.sty"),
    person("Garrick", "Aden-Buie", role = "ctb"),
    person("Gregoire", "Detrez", role = "ctb"),
    person("Hadley", "Wickham", role = "ctb"),
    person("Hao", "Zhu", role = "ctb"),
    person("Heewon", "Jeon", role = "ctb"),
    person("Henrik", "Bengtsson", role = "ctb"),
    person("Hiroaki", "Yutani", role = "ctb"),
    person("Ian", "Lyttle", role = "ctb"),
    person("Hodges", "Daniel", role = "ctb"),
    person("Jake", "Burkhead", role = "ctb"),
    person("James", "Manton", role = "ctb"),
    person("Jared", "Lander", role = "ctb"),
    person("Jason", "Punyon", role = "ctb"),
    person("Javier", "Luraschi", role = "ctb"),
    person("Jeff", "Arnold", role = "ctb"),
    person("Jenny", "Bryan", role = "ctb"),
    person("Jeremy", "Ashkenas", role = c("ctb", "cph"), comment = "the CSS file at inst/misc/docco-classic.css"),
    person("Jeremy", "Stephens", role = "ctb"),
    person("Jim", "Hester", role = "ctb"),
    person("Joe", "Cheng", role = "ctb"),
    person("Johannes", "Ranke", role = "ctb"),
    person("John", "Honaker", role = "ctb"),
    person("John", "Muschelli", role = "ctb"),
    person("Jonathan", "Keane", role = "ctb"),
    person("JJ", "Allaire", role = "ctb"),
    person("Johan", "Toloe", role = "ctb"),
    person("Jonathan", "Sidi", role = "ctb"),
    person("Joseph", "Larmarange", role = "ctb"),
    person("Julien", "Barnier", role = "ctb"),
    person("Kaiyin", "Zhong", role = "ctb"),
    person("Kamil", "Slowikowski", role = "ctb"),
    person("Karl", "Forner", role = "ctb"),
    person(c("Kevin", "K."), "Smith", role = "ctb"),
    person("Kirill", "Mueller", role = "ctb"),
    person("Kohske", "Takahashi", role = "ctb"),
    person("Lorenz", "Walthert", role = "ctb"),
    person("Lucas", "Gallindo", role = "ctb"),
    person("Marius", "Hofert", role = "ctb"),
    person("Martin", "Modrák", role = "ctb"),
    person("Michael", "Chirico", role = "ctb"),
    person("Michael", "Friendly", role = "ctb"),
    person("Michal", "Bojanowski", role = "ctb"),
    person("Michel", "Kuhlmann", role = "ctb"),
    person("Miller", "Patrick", role = "ctb"),
    person("Nacho", "Caballero", role = "ctb"),
    person("Nick", "Salkowski", role = "ctb"),
    person("Niels Richard", "Hansen", role = "ctb"),
    person("Noam", "Ross", role = "ctb"),
    person("Obada", "Mahdi", role = "ctb"),
    person("Pavel N.", "Krivitsky", role = "ctb", comment=c(ORCID = "0000-0002-9101-3362")),
    person("Qiang", "Li", role = "ctb"),
    person("Ramnath", "Vaidyanathan", role = "ctb"),
    person("Richard", "Cotton", role = "ctb"),
    person("Robert", "Krzyzanowski", role = "ctb"),
    person("Romain", "Francois", role = "ctb"),
    person("Ruaridh", "Williamson", role = "ctb"),
    person("Scott", "Kostyshak", role = "ctb"),
    person("Sebastian", "Meyer", role = "ctb"),
    person("Sietse", "Brouwer", role = "ctb"),
    person(c("Simon", "de"), "Bernard", role = "ctb"),
    person("Sylvain", "Rousseau", role = "ctb"),
    person("Taiyun", "Wei", role = "ctb"),
    person("Thibaut", "Assus", role = "ctb"),
    person("Thibaut", "Lamadon", role = "ctb"),
    person("Thomas", "Leeper", role = "ctb"),
    person("Tim", "Mastny", role = "ctb"),
    person("Tom", "Torsney-Weir", role = "ctb"),
    person("Trevor", "Davis", role = "ctb"),
    person("Viktoras", "Veitas", role = "ctb"),
    person("Weicheng", "Zhu", role = "ctb"),
    person("Wush", "Wu", role = "ctb"),
    person("Zachary", "Foster", role = "ctb")
    )
Description: Provides a general-purpose tool for dynamic report generation in R
    using Literate Programming techniques.
Depends: R (>= 3.2.3)
Imports: evaluate (>= 0.10), highr, methods, stringr (>= 0.6), yaml (>=
        2.1.19), xfun (>= 0.27), tools
Suggests: markdown, formatR, testit, digest, rgl (>= 0.95.1201),
        codetools, rmarkdown, htmlwidgets (>= 0.7), webshot, tikzDevice
        (>= 0.10), tinytex, reticulate (>= 1.4), JuliaCall (>= 0.11.1),
        magick, png, jpeg, gifski, xml2 (>= 1.2.0), httr, DBI (>=
        0.4-1), showtext, tibble, sass, bslib, ragg, styler (>= 1.2.0),
        targets (>= 0.6.0)
License: GPL
URL: https://yihui.org/knitr/
BugReports: https://github.com/yihui/knitr/issues
Encoding: UTF-8
VignetteBuilder: knitr
SystemRequirements: Package vignettes based on R Markdown v2 or
        reStructuredText require Pandoc (http://pandoc.org). The
        function rst2pdf() require rst2pdf
        (https://github.com/rst2pdf/rst2pdf).
Collate: 'block.R' 'cache.R' 'utils.R' 'citation.R' 'hooks-html.R'
        'plot.R' 'defaults.R' 'concordance.R' 'engine.R' 'highlight.R'
        'themes.R' 'header.R' 'hooks-asciidoc.R' 'hooks-chunk.R'
        'hooks-extra.R' 'hooks-latex.R' 'hooks-md.R' 'hooks-rst.R'
        'hooks-textile.R' 'hooks.R' 'output.R' 'package.R' 'pandoc.R'
        'params.R' 'parser.R' 'pattern.R' 'rocco.R' 'spin.R' 'table.R'
        'template.R' 'utils-conversion.R' 'utils-rd2html.R'
        'utils-sweave.R' 'utils-upload.R' 'utils-vignettes.R' 'zzz.R'
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2021-12-16 04:57:48 UTC; yihui
Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
  Abhraneel Sarma [ctb],
  Adam Vogt [ctb],
  Alastair Andrew [ctb],
  Alex Zvoleff [ctb],
  Andre Simon [ctb] (the CSS files under inst/themes/ were derived from
    the Highlight package http://www.andre-simon.de),
  Aron Atkins [ctb],
  Aaron Wolen [ctb],
  Ashley Manton [ctb],
  Atsushi Yasumoto [ctb] (<https://orcid.org/0000-0002-8335-495X>),
  Ben Baumer [ctb],
  Brian Diggs [ctb],
  Brian Zhang [ctb],
  Bulat Yapparov [ctb],
  Cassio Pereira [ctb],
  Christophe Dervieux [ctb],
  David Hall [ctb],
  David Hugh-Jones [ctb],
  David Robinson [ctb],
  Doug Hemken [ctb],
  Duncan Murdoch [ctb],
  Elio Campitelli [ctb],
  Ellis Hughes [ctb],
  Emily Riederer [ctb],
  Fabian Hirschmann [ctb],
  Fitch Simeon [ctb],
  Forest Fang [ctb],
  Frank E Harrell Jr [ctb] (the Sweavel package at inst/misc/Sweavel.sty),
  Garrick Aden-Buie [ctb],
  Gregoire Detrez [ctb],
  Hadley Wickham [ctb],
  Hao Zhu [ctb],
  Heewon Jeon [ctb],
  Henrik Bengtsson [ctb],
  Hiroaki Yutani [ctb],
  Ian Lyttle [ctb],
  Hodges Daniel [ctb],
  Jake Burkhead [ctb],
  James Manton [ctb],
  Jared Lander [ctb],
  Jason Punyon [ctb],
  Javier Luraschi [ctb],
  Jeff Arnold [ctb],
  Jenny Bryan [ctb],
  Jeremy Ashkenas [ctb, cph] (the CSS file at
    inst/misc/docco-classic.css),
  Jeremy Stephens [ctb],
  Jim Hester [ctb],
  Joe Cheng [ctb],
  Johannes Ranke [ctb],
  John Honaker [ctb],
  John Muschelli [ctb],
  Jonathan Keane [ctb],
  JJ Allaire [ctb],
  Johan Toloe [ctb],
  Jonathan Sidi [ctb],
  Joseph Larmarange [ctb],
  Julien Barnier [ctb],
  Kaiyin Zhong [ctb],
  Kamil Slowikowski [ctb],
  Karl Forner [ctb],
  Kevin K. Smith [ctb],
  Kirill Mueller [ctb],
  Kohske Takahashi [ctb],
  Lorenz Walthert [ctb],
  Lucas Gallindo [ctb],
  Marius Hofert [ctb],
  Martin Modrák [ctb],
  Michael Chirico [ctb],
  Michael Friendly [ctb],
  Michal Bojanowski [ctb],
  Michel Kuhlmann [ctb],
  Miller Patrick [ctb],
  Nacho Caballero [ctb],
  Nick Salkowski [ctb],
  Niels Richard Hansen [ctb],
  Noam Ross [ctb],
  Obada Mahdi [ctb],
  Pavel N. Krivitsky [ctb] (<https://orcid.org/0000-0002-9101-3362>),
  Qiang Li [ctb],
  Ramnath Vaidyanathan [ctb],
  Richard Cotton [ctb],
  Robert Krzyzanowski [ctb],
  Romain Francois [ctb],
  Ruaridh Williamson [ctb],
  Scott Kostyshak [ctb],
  Sebastian Meyer [ctb],
  Sietse Brouwer [ctb],
  Simon de Bernard [ctb],
  Sylvain Rousseau [ctb],
  Taiyun Wei [ctb],
  Thibaut Assus [ctb],
  Thibaut Lamadon [ctb],
  Thomas Leeper [ctb],
  Tim Mastny [ctb],
  Tom Torsney-Weir [ctb],
  Trevor Davis [ctb],
  Viktoras Veitas [ctb],
  Weicheng Zhu [ctb],
  Wush Wu [ctb],
  Zachary Foster [ctb]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2021-12-16 18:00:02 UTC

=== debian/changelog ===
r-cran-knitr (1.37+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Dec 2021 11:49:16 +0100

r-cran-knitr (1.36+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 16:52:56 +0200

r-cran-knitr (1.34+dfsg-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

  [ Nilesh Patra ]
  * Remove trailing whitespace in debian/changelog (routine-update)
  * d/t/control: Add versioned Depends on r-cran-tikzdevice
  * Remove lintian-overrides, they are no longer needed

 -- Nilesh Patra <nilesh@debian.org>  Wed, 22 Sep 2021 00:46:05 +0530

=== debian/control ===
Source: r-cran-knitr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-evaluate,
               r-cran-highr,
               r-cran-stringr,
               r-cran-yaml,
               r-cran-xfun (>= 0.27),
               nodejs
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-knitr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-knitr.git
Homepage: https://cran.r-project.org/package=knitr
Rules-Requires-Root: no

Package: r-cran-knitr
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         libjs-mathjax,
         libjs-highlight.js,
         libjs-jquery,
         libjs-bootstrap,
         libjs-jquery-datatables,
         libjs-normalize.css
Recommends: ${R:Recommends},
            node-highlight.js
Suggests: ${R:Suggests}
Description: GNU R package for dynamic report generation using Literate Programming
 The R package knitr is a general-purpose literate programming engine, with
 lightweight API's designed to give users full control of the output without
 heavy coding work. It combines many features into one package with slight
 tweaks motivated from everyday use of Sweave.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testit, r-cran-tikzdevice (>= 0.12.3.1-2~), r-cran-codetools, r-cran-rmarkdown, r-cran-tinytex, texlive, texlive-latex-extra, r-cran-tibble
Restrictions: allow-stderr

## r-cran-knitr 1.39+dfsg

=== debian/changelog ===
r-cran-knitr (1.39+dfsg-1) unstable; urgency=medium

  * New upstream version 1.39+dfsg
  * Add myself to uploaders
  * Run dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Tue, 03 May 2022 19:42:02 +0530

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: r-cran-knitr
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Nilesh Patra <nilesh@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-evaluate,
+               r-cran-evaluate (>= 0.15),
                r-cran-highr,
                r-cran-stringr,
                r-cran-yaml,
-               r-cran-xfun (>= 0.27),
+               r-cran-xfun (>= 0.29),
                nodejs
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-knitr

## r-cran-knitr 1.42+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Package: knitr
 Type: Package
 Title: A General-Purpose Package for Dynamic Report Generation in R
-Version: 1.37
+Version: 1.42
 Authors@R: c(
     person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
     person("Abhraneel", "Sarma", role = "ctb"),
     person("Adam", "Vogt", role = "ctb"),
     person("Alastair", "Andrew", role = "ctb"),
     person("Alex", "Zvoleff", role = "ctb"),
+    person("Amar", "Al-Zubaidi", role = "ctb"),
     person("Andre", "Simon", role = "ctb", comment = "the CSS files under inst/themes/ were derived from the Highlight package http://www.andre-simon.de"),
     person("Aron", "Atkins", role = "ctb"),
     person("Aaron", "Wolen", role = "ctb"),
@@ -40,6 +41,7 @@
     person("Hiroaki", "Yutani", role = "ctb"),
     person("Ian", "Lyttle", role = "ctb"),
     person("Hodges", "Daniel", role = "ctb"),
+    person("Jacob", "Bien", role = "ctb"),
     person("Jake", "Burkhead", role = "ctb"),
     person("James", "Manton", role = "ctb"),
     person("Jared", "Lander", role = "ctb"),
@@ -81,12 +83,15 @@
     person("Noam", "Ross", role = "ctb"),
     person("Obada", "Mahdi", role = "ctb"),
     person("Pavel N.", "Krivitsky", role = "ctb", comment=c(ORCID = "0000-0002-9101-3362")),
+    person("Pedro", "Faria", role = "ctb"),
     person("Qiang", "Li", role = "ctb"),
     person("Ramnath", "Vaidyanathan", role = "ctb"),
     person("Richard", "Cotton", role = "ctb"),
     person("Robert", "Krzyzanowski", role = "ctb"),
+    person("Rodrigo", "Copetti", role = "ctb"),
     person("Romain", "Francois", role = "ctb"),
     person("Ruaridh", "Williamson", role = "ctb"),
+    person("Sagiru", "Mati", role = "ctb", comment = c(ORCID = "0000-0003-1413-3974")),
     person("Scott", "Kostyshak", role = "ctb"),
     person("Sebastian", "Meyer", role = "ctb"),
     person("Sietse", "Brouwer", role = "ctb"),
@@ -102,19 +107,20 @@
     person("Viktoras", "Veitas", role = "ctb"),
     person("Weicheng", "Zhu", role = "ctb"),
     person("Wush", "Wu", role = "ctb"),
-    person("Zachary", "Foster", role = "ctb")
+    person("Zachary", "Foster", role = "ctb"),
+    person("Zhian N.", "Kamvar", role = "ctb", comment = c(ORCID = "0000-0003-1458-7108"))
     )
 Description: Provides a general-purpose tool for dynamic report generation in R
     using Literate Programming techniques.
-Depends: R (>= 3.2.3)
-Imports: evaluate (>= 0.10), highr, methods, stringr (>= 0.6), yaml (>=
-        2.1.19), xfun (>= 0.27), tools
-Suggests: markdown, formatR, testit, digest, rgl (>= 0.95.1201),
-        codetools, rmarkdown, htmlwidgets (>= 0.7), webshot, tikzDevice
-        (>= 0.10), tinytex, reticulate (>= 1.4), JuliaCall (>= 0.11.1),
-        magick, png, jpeg, gifski, xml2 (>= 1.2.0), httr, DBI (>=
-        0.4-1), showtext, tibble, sass, bslib, ragg, styler (>= 1.2.0),
-        targets (>= 0.6.0)
+Depends: R (>= 3.3.0)
+Imports: evaluate (>= 0.15), highr, methods, yaml (>= 2.1.19), xfun (>=
+        0.34), tools
+Suggests: markdown (>= 1.3), formatR, testit, digest, rgl (>=
+        0.95.1201), codetools, rmarkdown, htmlwidgets (>= 0.7),
+        webshot, tikzDevice (>= 0.10), tinytex, reticulate (>= 1.4),
+        JuliaCall (>= 0.11.1), magick, png, jpeg, gifski, xml2 (>=
+        1.2.0), httr, DBI (>= 0.4-1), showtext, tibble, sass, bslib,
+        ragg, gridSVG, styler (>= 1.2.0), targets (>= 0.6.0)
 License: GPL
 URL: https://yihui.org/knitr/
 BugReports: https://github.com/yihui/knitr/issues
@@ -122,7 +128,7 @@
 VignetteBuilder: knitr
 SystemRequirements: Package vignettes based on R Markdown v2 or
         reStructuredText require Pandoc (http://pandoc.org). The
-        function rst2pdf() require rst2pdf
+        function rst2pdf() requires rst2pdf
         (https://github.com/rst2pdf/rst2pdf).
 Collate: 'block.R' 'cache.R' 'utils.R' 'citation.R' 'hooks-html.R'
         'plot.R' 'defaults.R' 'concordance.R' 'engine.R' 'highlight.R'
@@ -131,15 +137,17 @@
         'hooks-textile.R' 'hooks.R' 'output.R' 'package.R' 'pandoc.R'
         'params.R' 'parser.R' 'pattern.R' 'rocco.R' 'spin.R' 'table.R'
         'template.R' 'utils-conversion.R' 'utils-rd2html.R'
-        'utils-sweave.R' 'utils-upload.R' 'utils-vignettes.R' 'zzz.R'
-RoxygenNote: 7.1.2
+        'utils-string.R' 'utils-sweave.R' 'utils-upload.R'
+        'utils-vignettes.R' 'zzz.R'
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2021-12-16 04:57:48 UTC; yihui
+Packaged: 2023-01-20 05:51:44 UTC; yihui
 Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
   Abhraneel Sarma [ctb],
   Adam Vogt [ctb],
   Alastair Andrew [ctb],
   Alex Zvoleff [ctb],
+  Amar Al-Zubaidi [ctb],
   Andre Simon [ctb] (the CSS files under inst/themes/ were derived from
     the Highlight package http://www.andre-simon.de),
   Aron Atkins [ctb],
@@ -173,6 +181,7 @@
   Hiroaki Yutani [ctb],
   Ian Lyttle [ctb],
   Hodges Daniel [ctb],
+  Jacob Bien [ctb],
   Jake Burkhead [ctb],
   James Manton [ctb],
   Jared Lander [ctb],
@@ -215,12 +224,15 @@
   Noam Ross [ctb],
   Obada Mahdi [ctb],
   Pavel N. Krivitsky [ctb] (<https://orcid.org/0000-0002-9101-3362>),
+  Pedro Faria [ctb],
   Qiang Li [ctb],
   Ramnath Vaidyanathan [ctb],
   Richard Cotton [ctb],
   Robert Krzyzanowski [ctb],
+  Rodrigo Copetti [ctb],
   Romain Francois [ctb],
   Ruaridh Williamson [ctb],
+  Sagiru Mati [ctb] (<https://orcid.org/0000-0003-1413-3974>),
   Scott Kostyshak [ctb],
   Sebastian Meyer [ctb],
   Sietse Brouwer [ctb],
@@ -236,7 +248,8 @@
   Viktoras Veitas [ctb],
   Weicheng Zhu [ctb],
   Wush Wu [ctb],
-  Zachary Foster [ctb]
+  Zachary Foster [ctb],
+  Zhian N. Kamvar [ctb] (<https://orcid.org/0000-0003-1458-7108>)
 Maintainer: Yihui Xie <xie@yihui.name>
 Repository: CRAN
-Date/Publication: 2021-12-16 18:00:02 UTC
+Date/Publication: 2023-01-25 10:20:08 UTC

=== debian/changelog ===
r-cran-knitr (1.42+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2023 09:02:10 +0100

r-cran-knitr (1.41+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 23 Nov 2022 11:54:46 +0100

r-cran-knitr (1.40+dfsg-1) unstable; urgency=medium

  * New upstream version 1.40+dfsg
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 30 Aug 2022 18:15:40 +0530

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,10 @@
                r-base-dev,
                r-cran-evaluate (>= 0.15),
                r-cran-highr,
-               r-cran-stringr,
                r-cran-yaml,
-               r-cran-xfun (>= 0.29),
+               r-cran-xfun (>= 0.34),
                nodejs
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-knitr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-knitr.git
 Homepage: https://cran.r-project.org/package=knitr

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_installdocs:
	dh_installdocs
	for html in `find debian -name "*.html"` ; do \
	    sed -i \
		-e 's#https://cdn\..*/mathjax/.*/MathJax.js\(?config=TeX.*L">\)#file:///usr/share/javascript/mathjax/MathJax.js\1#' \
		-e 's#https://cdnjs.cloudflare.com/ajax/libs/highlight.js/[^/]*/styles/github\.min\.css#file:///usr/share/javascript/highlight.js/styles/github.css#' \
		-e 's#https://cdnjs.cloudflare.com/ajax/libs/highlight.js/[^/]*/highlight\.min\.js#file:///usr/share/javascript/highlight.js/highlight.min.js#' \
		-e 's#https://cdnjs.cloudflare.com/ajax/libs/highlight.js/[^/]*/languages/r\.min\.js#file:///usr/lib/nodejs/highlight.js/languages/r.js#' \
		-e 's#[htps:]*//code.jquery.com/jquery-[^/]*\.min\.js#file:///usr/share/javascript/jquery/jquery.min.js#' \
		-e 's#[htps:]*//cdn.datatables.net/[^/]*/\([jsc]*/jquery.dataTables.[jsc]*\)#file:///usr/share/javascript/jquery-datatables/\1#' \
		-e 's#https://jashkenas.github.io/docco/resources/linear/public/stylesheets/normalize.css#file:///usr/share/javascript/normalize.css/normalize.css#' \
		-e 's#https://maxcdn.bootstrapcdn.com/bootstrap/[^/]*/css/bootstrap.min.css#file:///usr/share/javascript/bootstrap/css/bootstrap.min.css#' \
		    $${html} ; \
	done

## r-cran-knitr 1.43+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: knitr
 Type: Package
 Title: A General-Purpose Package for Dynamic Report Generation in R
-Version: 1.42
+Version: 1.43
 Authors@R: c(
     person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
     person("Abhraneel", "Sarma", role = "ctb"),
@@ -108,19 +108,21 @@
     person("Weicheng", "Zhu", role = "ctb"),
     person("Wush", "Wu", role = "ctb"),
     person("Zachary", "Foster", role = "ctb"),
-    person("Zhian N.", "Kamvar", role = "ctb", comment = c(ORCID = "0000-0003-1458-7108"))
+    person("Zhian N.", "Kamvar", role = "ctb", comment = c(ORCID = "0000-0003-1458-7108")),
+    person(given = "Posit Software, PBC", role = c("cph", "fnd"))
     )
 Description: Provides a general-purpose tool for dynamic report generation in R
     using Literate Programming techniques.
 Depends: R (>= 3.3.0)
-Imports: evaluate (>= 0.15), highr, methods, yaml (>= 2.1.19), xfun (>=
-        0.34), tools
-Suggests: markdown (>= 1.3), formatR, testit, digest, rgl (>=
-        0.95.1201), codetools, rmarkdown, htmlwidgets (>= 0.7),
-        webshot, tikzDevice (>= 0.10), tinytex, reticulate (>= 1.4),
-        JuliaCall (>= 0.11.1), magick, png, jpeg, gifski, xml2 (>=
-        1.2.0), httr, DBI (>= 0.4-1), showtext, tibble, sass, bslib,
-        ragg, gridSVG, styler (>= 1.2.0), targets (>= 0.6.0)
+Imports: evaluate (>= 0.15), highr, methods, tools, xfun (>= 0.39),
+        yaml (>= 2.1.19)
+Suggests: bslib, codetools, DBI (>= 0.4-1), digest, formatR, gifski,
+        gridSVG, htmlwidgets (>= 0.7), curl, jpeg, JuliaCall (>=
+        0.11.1), magick, markdown (>= 1.3), png, ragg, reticulate (>=
+        1.4), rgl (>= 0.95.1201), rlang, rmarkdown, sass, showtext,
+        styler (>= 1.2.0), targets (>= 0.6.0), testit, tibble,
+        tikzDevice (>= 0.10), tinytex, webshot, rstudioapi, xml2 (>=
+        1.2.0)
 License: GPL
 URL: https://yihui.org/knitr/
 BugReports: https://github.com/yihui/knitr/issues
@@ -141,7 +143,7 @@
         'utils-vignettes.R' 'zzz.R'
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-01-20 05:51:44 UTC; yihui
+Packaged: 2023-05-24 02:50:56 UTC; yihui
 Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
   Abhraneel Sarma [ctb],
   Adam Vogt [ctb],
@@ -249,7 +251,8 @@
   Weicheng Zhu [ctb],
   Wush Wu [ctb],
   Zachary Foster [ctb],
-  Zhian N. Kamvar [ctb] (<https://orcid.org/0000-0003-1458-7108>)
+  Zhian N. Kamvar [ctb] (<https://orcid.org/0000-0003-1458-7108>),
+  Posit Software, PBC [cph, fnd]
 Maintainer: Yihui Xie <xie@yihui.name>
 Repository: CRAN
-Date/Publication: 2023-01-25 10:20:08 UTC
+Date/Publication: 2023-05-25 09:20:08 UTC

=== debian/changelog ===
r-cran-knitr (1.43+dfsg-2) unstable; urgency=medium

  * Rebuild with r-graphics-engine set by r-base
    Closes: #1039655 

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 15:06:09 +0200

r-cran-knitr (1.43+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Sync Test-Depends with Suggests
  * Versioned Test-Depends: r-cran-tikzdevice (>= 0.12.4-2~) to deal with
    R graphics ABI change

 -- Andreas Tille <tille@debian.org>  Fri, 30 Jun 2023 14:36:00 +0200

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bslib,
         r-cran-codetools,
         r-cran-dbi,
         r-cran-digest,
         r-cran-formatr,
#         r-cran-gifski,
         r-cran-gridsvg,
         r-cran-htmlwidgets,
         r-cran-curl,
         r-cran-jpeg,
#         r-cran-juliacall,
         r-cran-magick,
         r-cran-markdown,
         r-cran-png,
         r-cran-ragg,
         r-cran-reticulate,
         r-cran-rgl,
         r-cran-rlang,
         r-cran-rmarkdown,
         r-cran-sass,
#         r-cran-showtext,
#         r-cran-styler,
#         r-cran-targets,
         r-cran-testit,
         r-cran-tibble,
         r-cran-tikzdevice (>= 0.12.4-2~),
         r-cran-tinytex,
         r-cran-webshot,
         r-cran-rstudioapi,
         r-cran-xml2,
         texlive,
         texlive-latex-extra
Restrictions: allow-stderr

## r-cran-knitr 1.45%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                r-base-dev,
                r-cran-evaluate (>= 0.15),
                r-cran-highr,
+               r-cran-xfun (>= 0.39),
                r-cran-yaml,
-               r-cran-xfun (>= 0.34),
                nodejs
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-knitr

## r-cran-knitr 1.45+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: knitr
 Type: Package
 Title: A General-Purpose Package for Dynamic Report Generation in R
-Version: 1.43
+Version: 1.45
 Authors@R: c(
     person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
     person("Abhraneel", "Sarma", role = "ctb"),
@@ -121,8 +121,8 @@
         0.11.1), magick, markdown (>= 1.3), png, ragg, reticulate (>=
         1.4), rgl (>= 0.95.1201), rlang, rmarkdown, sass, showtext,
         styler (>= 1.2.0), targets (>= 0.6.0), testit, tibble,
-        tikzDevice (>= 0.10), tinytex, webshot, rstudioapi, xml2 (>=
-        1.2.0)
+        tikzDevice (>= 0.10), tinytex (>= 0.46), webshot, rstudioapi,
+        svglite, xml2 (>= 1.2.0)
 License: GPL
 URL: https://yihui.org/knitr/
 BugReports: https://github.com/yihui/knitr/issues
@@ -143,7 +143,7 @@
         'utils-vignettes.R' 'zzz.R'
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-05-24 02:50:56 UTC; yihui
+Packaged: 2023-10-27 03:03:09 UTC; yihui
 Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
   Abhraneel Sarma [ctb],
   Adam Vogt [ctb],
@@ -255,4 +255,4 @@
   Posit Software, PBC [cph, fnd]
 Maintainer: Yihui Xie <xie@yihui.name>
 Repository: CRAN
-Date/Publication: 2023-05-25 09:20:08 UTC
+Date/Publication: 2023-10-30 09:10:12 UTC

=== debian/changelog ===
r-cran-knitr (1.45+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 09 Nov 2023 19:33:07 +0100

r-cran-knitr (1.44+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Lintian-overrides for false positive

 -- Andreas Tille <tille@debian.org>  Fri, 13 Oct 2023 11:03:36 +0200

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bslib,
        r-cran-codetools,
        r-cran-dbi (>= 0.4-1),
        r-cran-digest,
        r-cran-formatr,
        r-cran-gridsvg,
        r-cran-htmlwidgets (>= 0.7),
        r-cran-curl,
        r-cran-jpeg,
        r-cran-magick,
        r-cran-markdown (>= 1.3),
        r-cran-png,
        r-cran-ragg,
        r-cran-reticulate (>= 1.4),
        r-cran-rgl (>= 0.95.1201),
        r-cran-rlang,
        r-cran-rmarkdown,
        r-cran-sass,
        r-cran-testit,
        r-cran-tibble,
        r-cran-tikzdevice (>= 0.10),
        r-cran-tinytex (>= 0.46),
        r-cran-webshot,
        r-cran-rstudioapi,
        r-cran-svglite,
        r-cran-xml2 (>= 1.2.0),
        texlive,
        texlive-latex-extra
Restrictions: allow-stderr

## r-cran-knitr 1.47+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: knitr
 Type: Package
 Title: A General-Purpose Package for Dynamic Report Generation in R
-Version: 1.45
+Version: 1.47
 Authors@R: c(
     person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
     person("Abhraneel", "Sarma", role = "ctb"),
@@ -114,15 +114,14 @@
 Description: Provides a general-purpose tool for dynamic report generation in R
     using Literate Programming techniques.
 Depends: R (>= 3.3.0)
-Imports: evaluate (>= 0.15), highr, methods, tools, xfun (>= 0.39),
-        yaml (>= 2.1.19)
+Imports: evaluate (>= 0.15), highr (>= 0.11), methods, tools, xfun (>=
+        0.44), yaml (>= 2.1.19)
 Suggests: bslib, codetools, DBI (>= 0.4-1), digest, formatR, gifski,
-        gridSVG, htmlwidgets (>= 0.7), curl, jpeg, JuliaCall (>=
-        0.11.1), magick, markdown (>= 1.3), png, ragg, reticulate (>=
-        1.4), rgl (>= 0.95.1201), rlang, rmarkdown, sass, showtext,
-        styler (>= 1.2.0), targets (>= 0.6.0), testit, tibble,
-        tikzDevice (>= 0.10), tinytex (>= 0.46), webshot, rstudioapi,
-        svglite, xml2 (>= 1.2.0)
+        gridSVG, htmlwidgets (>= 0.7), jpeg, JuliaCall (>= 0.11.1),
+        magick, markdown (>= 1.3), png, ragg, reticulate (>= 1.4), rgl
+        (>= 0.95.1201), rlang, rmarkdown, sass, showtext, styler (>=
+        1.2.0), targets (>= 0.6.0), testit, tibble, tikzDevice (>=
+        0.10), tinytex (>= 0.46), webshot, rstudioapi, svglite
 License: GPL
 URL: https://yihui.org/knitr/
 BugReports: https://github.com/yihui/knitr/issues
@@ -141,9 +140,9 @@
         'template.R' 'utils-conversion.R' 'utils-rd2html.R'
         'utils-string.R' 'utils-sweave.R' 'utils-upload.R'
         'utils-vignettes.R' 'zzz.R'
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 NeedsCompilation: no
-Packaged: 2023-10-27 03:03:09 UTC; yihui
+Packaged: 2024-05-27 16:52:40 UTC; yihui
 Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
   Abhraneel Sarma [ctb],
   Adam Vogt [ctb],
@@ -255,4 +254,4 @@
   Posit Software, PBC [cph, fnd]
 Maintainer: Yihui Xie <xie@yihui.name>
 Repository: CRAN
-Date/Publication: 2023-10-30 09:10:12 UTC
+Date/Publication: 2024-05-29 07:20:03 UTC

=== debian/changelog ===
r-cran-knitr (1.47+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 11 Jun 2024 08:31:39 +0900

r-cran-knitr (1.46+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 18 Apr 2024 15:09:23 +0000

r-cran-knitr (1.45+dfsg-2) unstable; urgency=medium

  * d/control: remove my name from Uploaders.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 18 Apr 2024 17:05:32 +0200

=== debian/tests/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
         r-cran-formatr,
         r-cran-gridsvg,
         r-cran-htmlwidgets (>= 0.7),
-        r-cran-curl,
         r-cran-jpeg,
         r-cran-magick,
         r-cran-markdown (>= 1.3),
@@ -25,7 +24,6 @@
         r-cran-webshot,
         r-cran-rstudioapi,
         r-cran-svglite,
-        r-cran-xml2 (>= 1.2.0),
         texlive,
         texlive-latex-extra
 Restrictions: allow-stderr

## r-cran-knitr 1.48+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: knitr
 Type: Package
 Title: A General-Purpose Package for Dynamic Report Generation in R
-Version: 1.47
+Version: 1.48
 Authors@R: c(
     person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
     person("Abhraneel", "Sarma", role = "ctb"),
@@ -140,9 +140,9 @@
         'template.R' 'utils-conversion.R' 'utils-rd2html.R'
         'utils-string.R' 'utils-sweave.R' 'utils-upload.R'
         'utils-vignettes.R' 'zzz.R'
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2024-05-27 16:52:40 UTC; yihui
+Packaged: 2024-07-05 23:22:15 UTC; yihui
 Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
   Abhraneel Sarma [ctb],
   Adam Vogt [ctb],
@@ -254,4 +254,4 @@
   Posit Software, PBC [cph, fnd]
 Maintainer: Yihui Xie <xie@yihui.name>
 Repository: CRAN
-Date/Publication: 2024-05-29 07:20:03 UTC
+Date/Publication: 2024-07-07 14:00:01 UTC

=== debian/changelog ===
r-cran-knitr (1.48+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Mon, 02 Sep 2024 11:05:22 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: r-cran-knitr
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Joost van Baal-Ilić <joostvb@debian.org>,
-           Andreas Tille <tille@debian.org>,
+Uploaders: Andreas Tille <tille@debian.org>,
            Nilesh Patra <nilesh@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -10,11 +9,11 @@
                dh-r,
                r-base-dev,
                r-cran-evaluate (>= 0.15),
-               r-cran-highr,
-               r-cran-xfun (>= 0.39),
+               r-cran-highr (>= 0.11),
+               r-cran-xfun (>= 0.44),
                r-cran-yaml,
                nodejs
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-knitr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-knitr.git
 Homepage: https://cran.r-project.org/package=knitr

## r-cran-knitr 1.49+dfsg

=== debian/changelog ===
r-cran-knitr (1.49+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 18 Nov 2024 13:45:09 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-base-dev,
                r-cran-evaluate (>= 0.15),
                r-cran-highr (>= 0.11),
-               r-cran-xfun (>= 0.44),
+               r-cran-xfun (>= 0.48),
                r-cran-yaml,
                nodejs
 Standards-Version: 4.7.0

## r-cran-knitr 1.50+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: knitr
 Type: Package
 Title: A General-Purpose Package for Dynamic Report Generation in R
-Version: 1.48
+Version: 1.50
 Authors@R: c(
-    person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
+    person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666", URL = "https://yihui.org")),
     person("Abhraneel", "Sarma", role = "ctb"),
     person("Adam", "Vogt", role = "ctb"),
     person("Alastair", "Andrew", role = "ctb"),
@@ -113,26 +113,27 @@
     )
 Description: Provides a general-purpose tool for dynamic report generation in R
     using Literate Programming techniques.
-Depends: R (>= 3.3.0)
+Depends: R (>= 3.6.0)
 Imports: evaluate (>= 0.15), highr (>= 0.11), methods, tools, xfun (>=
-        0.44), yaml (>= 2.1.19)
+        0.51), yaml (>= 2.1.19)
 Suggests: bslib, codetools, DBI (>= 0.4-1), digest, formatR, gifski,
         gridSVG, htmlwidgets (>= 0.7), jpeg, JuliaCall (>= 0.11.1),
-        magick, markdown (>= 1.3), png, ragg, reticulate (>= 1.4), rgl
-        (>= 0.95.1201), rlang, rmarkdown, sass, showtext, styler (>=
-        1.2.0), targets (>= 0.6.0), testit, tibble, tikzDevice (>=
-        0.10), tinytex (>= 0.46), webshot, rstudioapi, svglite
+        magick, litedown, markdown (>= 1.3), png, ragg, reticulate (>=
+        1.4), rgl (>= 0.95.1201), rlang, rmarkdown, sass, showtext,
+        styler (>= 1.2.0), targets (>= 0.6.0), testit, tibble,
+        tikzDevice (>= 0.10), tinytex (>= 0.56), webshot, rstudioapi,
+        svglite
 License: GPL
 URL: https://yihui.org/knitr/
 BugReports: https://github.com/yihui/knitr/issues
 Encoding: UTF-8
-VignetteBuilder: knitr
+VignetteBuilder: litedown, knitr
 SystemRequirements: Package vignettes based on R Markdown v2 or
         reStructuredText require Pandoc (http://pandoc.org). The
         function rst2pdf() requires rst2pdf
         (https://github.com/rst2pdf/rst2pdf).
-Collate: 'block.R' 'cache.R' 'utils.R' 'citation.R' 'hooks-html.R'
-        'plot.R' 'defaults.R' 'concordance.R' 'engine.R' 'highlight.R'
+Collate: 'block.R' 'cache.R' 'citation.R' 'hooks-html.R' 'plot.R'
+        'utils.R' 'defaults.R' 'concordance.R' 'engine.R' 'highlight.R'
         'themes.R' 'header.R' 'hooks-asciidoc.R' 'hooks-chunk.R'
         'hooks-extra.R' 'hooks-latex.R' 'hooks-md.R' 'hooks-rst.R'
         'hooks-textile.R' 'hooks.R' 'output.R' 'package.R' 'pandoc.R'
@@ -142,8 +143,9 @@
         'utils-vignettes.R' 'zzz.R'
 RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2024-07-05 23:22:15 UTC; yihui
-Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
+Packaged: 2025-03-15 00:17:19 UTC; runner
+Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>,
+    https://yihui.org),
   Abhraneel Sarma [ctb],
   Adam Vogt [ctb],
   Alastair Andrew [ctb],
@@ -254,4 +256,4 @@
   Posit Software, PBC [cph, fnd]
 Maintainer: Yihui Xie <xie@yihui.name>
 Repository: CRAN
-Date/Publication: 2024-07-07 14:00:01 UTC
+Date/Publication: 2025-03-16 09:20:02 UTC

=== debian/changelog ===
r-cran-knitr (1.50+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 20 Mar 2025 10:17:26 +0900

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                r-base-dev,
                r-cran-evaluate (>= 0.15),
                r-cran-highr (>= 0.11),
-               r-cran-xfun (>= 0.48),
+               r-cran-xfun (>= 0.51),
                r-cran-yaml,
                nodejs
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-knitr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-knitr.git
 Homepage: https://cran.r-project.org/package=knitr

=== debian/tests/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
         r-cran-testit,
         r-cran-tibble,
         r-cran-tikzdevice (>= 0.10),
-        r-cran-tinytex (>= 0.46),
+        r-cran-tinytex (>= 0.56),
         r-cran-webshot,
         r-cran-rstudioapi,
         r-cran-svglite,

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/knitr_([-\d\.]*)\.tar.gz

## r-cran-knitr 1.51+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: knitr
 Type: Package
 Title: A General-Purpose Package for Dynamic Report Generation in R
-Version: 1.50
+Version: 1.51
 Authors@R: c(
     person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666", URL = "https://yihui.org")),
     person("Abhraneel", "Sarma", role = "ctb"),
@@ -115,14 +115,14 @@
     using Literate Programming techniques.
 Depends: R (>= 3.6.0)
 Imports: evaluate (>= 0.15), highr (>= 0.11), methods, tools, xfun (>=
-        0.51), yaml (>= 2.1.19)
-Suggests: bslib, codetools, DBI (>= 0.4-1), digest, formatR, gifski,
-        gridSVG, htmlwidgets (>= 0.7), jpeg, JuliaCall (>= 0.11.1),
-        magick, litedown, markdown (>= 1.3), png, ragg, reticulate (>=
-        1.4), rgl (>= 0.95.1201), rlang, rmarkdown, sass, showtext,
-        styler (>= 1.2.0), targets (>= 0.6.0), testit, tibble,
-        tikzDevice (>= 0.10), tinytex (>= 0.56), webshot, rstudioapi,
-        svglite
+        0.52), yaml (>= 2.1.19)
+Suggests: bslib, DBI (>= 0.4-1), digest, formatR, gifski, gridSVG,
+        htmlwidgets (>= 0.7), jpeg, JuliaCall (>= 0.11.1), magick,
+        litedown, markdown (>= 1.3), otel, otelsdk, png, ragg,
+        reticulate (>= 1.4), rgl (>= 0.95.1201), rlang, rmarkdown,
+        sass, showtext, styler (>= 1.2.0), targets (>= 0.6.0), testit,
+        tibble, tikzDevice (>= 0.10), tinytex (>= 0.56), webshot,
+        rstudioapi, svglite
 License: GPL
 URL: https://yihui.org/knitr/
 BugReports: https://github.com/yihui/knitr/issues
@@ -136,16 +136,16 @@
         'utils.R' 'defaults.R' 'concordance.R' 'engine.R' 'highlight.R'
         'themes.R' 'header.R' 'hooks-asciidoc.R' 'hooks-chunk.R'
         'hooks-extra.R' 'hooks-latex.R' 'hooks-md.R' 'hooks-rst.R'
-        'hooks-textile.R' 'hooks.R' 'output.R' 'package.R' 'pandoc.R'
-        'params.R' 'parser.R' 'pattern.R' 'rocco.R' 'spin.R' 'table.R'
-        'template.R' 'utils-conversion.R' 'utils-rd2html.R'
+        'hooks-textile.R' 'hooks.R' 'otel.R' 'output.R' 'package.R'
+        'pandoc.R' 'params.R' 'parser.R' 'pattern.R' 'rocco.R' 'spin.R'
+        'table.R' 'template.R' 'utils-conversion.R' 'utils-rd2html.R'
         'utils-string.R' 'utils-sweave.R' 'utils-upload.R'
         'utils-vignettes.R' 'zzz.R'
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 NeedsCompilation: no
-Packaged: 2025-03-15 00:17:19 UTC; runner
-Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>,
-    https://yihui.org),
+Packaged: 2025-12-19 15:19:25 UTC; yihui
+Author: Yihui Xie [aut, cre] (ORCID: <https://orcid.org/0000-0003-0645-5666>,
+    URL: https://yihui.org),
   Abhraneel Sarma [ctb],
   Adam Vogt [ctb],
   Alastair Andrew [ctb],
@@ -156,7 +156,7 @@
   Aron Atkins [ctb],
   Aaron Wolen [ctb],
   Ashley Manton [ctb],
-  Atsushi Yasumoto [ctb] (<https://orcid.org/0000-0002-8335-495X>),
+  Atsushi Yasumoto [ctb] (ORCID: <https://orcid.org/0000-0002-8335-495X>),
   Ben Baumer [ctb],
   Brian Diggs [ctb],
   Brian Zhang [ctb],
@@ -226,7 +226,8 @@
   Niels Richard Hansen [ctb],
   Noam Ross [ctb],
   Obada Mahdi [ctb],
-  Pavel N. Krivitsky [ctb] (<https://orcid.org/0000-0002-9101-3362>),
+  Pavel N. Krivitsky [ctb] (ORCID:
+    <https://orcid.org/0000-0002-9101-3362>),
   Pedro Faria [ctb],
   Qiang Li [ctb],
   Ramnath Vaidyanathan [ctb],
@@ -235,7 +236,7 @@
   Rodrigo Copetti [ctb],
   Romain Francois [ctb],
   Ruaridh Williamson [ctb],
-  Sagiru Mati [ctb] (<https://orcid.org/0000-0003-1413-3974>),
+  Sagiru Mati [ctb] (ORCID: <https://orcid.org/0000-0003-1413-3974>),
   Scott Kostyshak [ctb],
   Sebastian Meyer [ctb],
   Sietse Brouwer [ctb],
@@ -252,8 +253,8 @@
   Weicheng Zhu [ctb],
   Wush Wu [ctb],
   Zachary Foster [ctb],
-  Zhian N. Kamvar [ctb] (<https://orcid.org/0000-0003-1458-7108>),
+  Zhian N. Kamvar [ctb] (ORCID: <https://orcid.org/0000-0003-1458-7108>),
   Posit Software, PBC [cph, fnd]
 Maintainer: Yihui Xie <xie@yihui.name>
 Repository: CRAN
-Date/Publication: 2025-03-16 09:20:02 UTC
+Date/Publication: 2025-12-20 14:30:02 UTC

=== debian/changelog ===
r-cran-knitr (1.51+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * Drop myself from uploaders
  * New upstream version 1.51+dfsg
  * Drop Redundant "Rules-Requires-Root: no"
  * Tighten B-D on r-cran-xfun

 -- Nilesh Patra <nilesh@debian.org>  Mon, 22 Dec 2025 02:31:00 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: r-cran-knitr
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Nilesh Patra <nilesh@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
@@ -10,14 +9,13 @@
                r-base-dev,
                r-cran-evaluate (>= 0.15),
                r-cran-highr (>= 0.11),
-               r-cran-xfun (>= 0.51),
+               r-cran-xfun (>= 0.52),
                r-cran-yaml,
                nodejs
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-knitr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-knitr.git
 Homepage: https://cran.r-project.org/package=knitr
-Rules-Requires-Root: no
 
 Package: r-cran-knitr
 Architecture: all
